#pragma once

#define STANDARD_DPI 96

#define SPLITTER_NORMAL -1
#define SPLITTER_TOPLEVEL -2

#define WM_MENU98 0x0409
#define SHOWMENU 0x90
#define EXITHOST 0x91



typedef struct _MENUTAG *PMENUTAG;

typedef struct _MENUTAG{
	LPWSTR arguments;
	LPWSTR command;
	LPWSTR text;
	HICON icon;
	UINT iconSize;

	PMENUTAG nextTag;
	
	bool isTopMenu;
}MENUTAG;

void CalcScale();

void Menu_Init();

void Menu_Show(HWND hWnd, WORD xPos, WORD yPos);

LRESULT MeasureItem(HWND hWnd, WPARAM wParam, LPMEASUREITEMSTRUCT lParam);

LRESULT DrawItem(HWND hWnd, WPARAM wParam, LPDRAWITEMSTRUCT lParam);

void Menu_Action(HMENU hMenu, WORD MenuPos);

void Menu_Destroy();